function onCreate()
	-- background shit


	makeLuaSprite('BG', 'BlackBGdaze', 0, 0);
	setScrollFactor('BG', 0, 0);
	addLuaSprite('BG', false);

	makeLuaSprite('BG2', 'gradient', -300, -400);
	setScrollFactor('BG2', 0, 0);
          setProperty('BG2.visible', false)
	addLuaSprite('BG2', false);
	
end


function onStepHit()
	if curStep == 1 then
	setProperty('camGame.alpha', 0);
	setProperty('camHUD.alpha', 0);
	end
	if curStep == 31 then
	setProperty('camGame.alpha', 1);
	setProperty('camHUD.alpha', 1);
	end
	if curStep == 542 then
	setProperty('camGame.alpha', 0);
	setProperty('camHUD.alpha', 0);
	end
	if curStep == 572 then
	setProperty('camHUD.alpha', 1);
	end
	if curStep == 576 then
	setProperty('camGame.alpha', 1);
          setProperty('BG2.visible', true);
	end
	if curStep == 1102 then
	setProperty('camGame.alpha', 0);
	end
end